## toro 1.0.1

=== requirements.txt ===
tornado >= 3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Toro.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Toro.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Toro"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Toro"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## toro 0.8

=== debian/changelog ===
toro (0.8-1) unstable; urgency=low

  * Initial release (Closes: #785007)

 -- Kartik Mistry <kartik@debian.org>  Thu, 02 Jul 2015 11:28:00 +0530

=== debian/control ===
Source: toro
Maintainer: Kartik Mistry <kartik@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python-tornado (>=3)
Standards-Version: 3.9.6
Homepage: https://github.com/ajdavis/toro/

Package: python-toro
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Synchronization primitives for Tornado coroutines
 A set of locking and synchronizing primitives analogous to those in Python’s
 threading module or Gevent’s coros, for use with Tornado’s gen.engine.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toro

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/toro-$1.tar.gz/" \
  https://github.com/ajdavis/toro/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## toro 1.0.1

=== debian/changelog ===
toro (1.0.1-4) unstable; urgency=low

  * Acknowledge NMU.
  * Added debian/gitlab-ci.yml
  * debian/control:
    + Fixed Vcs-* URLs
    + Updated Standards-Version to 4.4.1
  * Bumped dh to 12.

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Oct 2019 21:34:08 +0530

toro (1.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938678

 -- Sandro Tosi <morph@debian.org>  Tue, 08 Oct 2019 00:27:08 -0400

toro (1.0.1-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.2.1
    + Updated Vcs-* URLs.
  * Bumped dh to 11.
  * Updated debian/copyright.
  * Install upstream examples in packages.
  * Updated debian/watch to version 4.

 -- Kartik Mistry <kartik@debian.org>  Tue, 28 Aug 2018 11:08:32 +0530

toro (1.0.1-2) unstable; urgency=low

  * debian/control:
    + Fixed Vcs-* URLs.

 -- Kartik Mistry <kartik@debian.org>  Mon, 29 Aug 2016 10:12:41 +0530

toro (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add binary python3-toro for python3 support.
  * debian/control:
    + Updated to Standards-Version 3.9.8
    + Added Vcs-* URLs.

 -- Kartik Mistry <kartik@debian.org>  Mon, 04 Jul 2016 17:31:02 +0530

=== debian/control ===
Source: toro
Maintainer: Kartik Mistry <kartik@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 12), dh-python, python3, python3-setuptools
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/toro.git
Vcs-Browser: https://salsa.debian.org/debian/toro
Homepage: https://github.com/ajdavis/toro/

Package: python3-toro
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
XB-Python-Version: ${python3:Version}
Description: Synchronization primitives for Tornado coroutines (python3)
 A set of locking and synchronizing primitives analogous to those in Python’s
 threading module or Gevent’s coros, for use with Tornado’s gen.engine.
 .
 This package provides python3 support.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toro

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	#Disabled failed testcases.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%toro-$1.tar.gz%" \
    https://github.com/ajdavis/toro/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
